#include <stdio.h>
#define N 10

int main(){
	char array1[N] = { 'f', 'c', 's', 'q', 'b', 'e', 'e', 'k', 'i', 'g' };
	char array2[N] = { 'f', 's', 'c', 'k', 'e', 'b', 'e', 'g', 'i', 'q' };
	int i, j;
	char tmp;

	for(i=1; i<N; i++){
		/* Seleziona l'elemento massimo dall'array */
		char max='a'-1;
		int pos=-1;
		for(j=0; j<=N-i; j++)
			if(array1[j]>max){
				pos=j;
				max=array1[j];	
			}
		/* Scambia max con l'ultimo elemento */
		tmp=array1[N-i];
		array1[N-i]=max;
		array1[pos]=tmp;
	}

	for(i=0; i<N; i++) printf("%c", array1[i]);
	printf("\n");


	for(i=1; i<N; i++){
		char max='a'-1;
		int pos=-1;
		for(j=0; j<=N-i; j++)
			if(array2[j]>max){
				pos=j;
				max=array2[j];	
			}
		tmp=array2[N-i];
		array2[N-i]=max;
		array2[pos]=tmp;
	}
	

	for(i=0; i<N; i++) printf("%c", array2[i]);
	printf("\n");
	
	for(i=0; i<N; i++)
		if (array1[i]!=array2[i]) {
			printf("Le due parole non sono anagrammi\n");
			return 0;
		}
	printf("Le due parole sono anagrammi\n");
	return 0;
}
